import { PageData } from "lume/core.ts";

export default ({ metas, children, title, subtitle }: PageData) => (
  <html lang={metas?.lang}>
    <head>
      <title>{title}</title>
      <meta charSet="utf-8" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <link rel="shortcut icon" href="/img/favicon.png" />
      <link rel="stylesheet" href="/styles/style.css" />
    </head>
    <body>
      <header class="container">
        <hgroup>
          <h1>{title}</h1>
          <h2>{subtitle}</h2>
        </hgroup>
      </header>
      <main class="container">
        {children}
      </main>
      <footer class="container">
        <small>
          Built with <a href="https://lume.land">Lume</a> • Hosted on{" "}
          <a href="https://deno.com/deploy">Deno Deploy</a> from{" "}
          <a href="https://samtherapy.net">here</a> <em>and</em>{" "}
          <a href="https://freecumextremist.finance">Froth Pages</a> from{" "}
          <a href="https://samtherapy.xyz">here</a> •{"  "}
          <a href="https://git.froth.zone/sam/site">Source</a>
        </small>
      </footer>
    </body>
  </html>
);
